REBOUND(8)

NAME
rebound - DNS proxy

SYNOPSIS
rebound [-d] [-c config] [-l address]

DESCRIPTION
The rebound daemon proxies and caches DNS requests. It listens by default on localhost and forwards queries to another server.

If sent a SIGUSR1 signal, rebound logs statistics to /var/log/daemon.

The options are as follows:

-c config
    Specify an alternative configuration file, instead of the default /etc/resolv.conf. rebound will reload the configuration file when sent a SIGHUP signal or when the file changes. Only the nameserver option is used to indicate the next server to contact. Localhost entries will be skipped.

-d  Debug mode. rebound does not fork(2) into the background.

-l address
    Listen for connections by binding to address, an IP specified in dotted quad notation, instead of the default of localhost.

FILES
/etc/resolv.conf
    Default rebound configuration file.

SEE ALSO
resolv.conf(5), unbound(8)

HISTORY
The rebound daemon first appeared in OpenBSD 5.9.

AUTHORS
Ted Unangst <tedu@openbsd.org>